# TODO
# - can these be removed on linux?
#   site-packages/pip/_vendor/distlib/t32.exe
#   site-packages/pip/_vendor/distlib/t64.exe
#   site-packages/pip/_vendor/distlib/w32.exe
#   site-packages/pip/_vendor/distlib/w64.exe
#
# Conditional build:
%bcond_with	apidocs		# Sphinx documentation (needs network?)
%bcond_with	tests		# test target (not included in sdist)

%ifarch x32
%undefine with_apidocs
%endif

%define		module		pip
%define		pypi_name	pip
Summary:	A tool for installing and managing Python 3 packages
Summary(pl.UTF-8):	Narzędzie do instalowania i zarządzania pakietami Pythona 3
Name:		python3-%{module}
Version:	25.0.1
Release:	4
License:	MIT
Group:		Libraries/Python
# Source0Download: https://pypi.python.org/simple/pip/
Source0:	https://pypi.debian.net/pip/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	1bf81564bf9738efbe48439c230f25bf
URL:		https://pip.pypa.io/
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-mock
BuildRequires:	python3-pytest
BuildRequires:	python3-scripttest >= 1.3
BuildRequires:	python3-virtualenv >= 1.10
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with apidocs}
BuildRequires:	python3-furo
BuildRequires:	python3-sphinx_copybutton
BuildRequires:	python3-sphinx_inline_tabs
BuildRequires:	python3-sphinxcontrib-towncrier
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-setuptools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pip is a replacement for easy_install. It uses mostly the same
techniques for finding packages, so packages that were made
easy_installable should be pip-installable as well.

%description -l pl.UTF-8
Pip to zamiennik easy_install. Wykorzystuje w większości te same
techniki do wyszukiwania pakietów, więc pakiety, które dało się
zainstalować przez easy_install, powinny także dać się zainstalować
przy użyciu pipa.

%package -n pip
Summary:	A tool for installing and managing Python 3 packages
Summary(pl.UTF-8):	Narzędzie do instalowania i zarządzania pakietami Pythona 3
Group:		Development/Tools
Requires:	python3-%{module} = %{version}-%{release}
Conflicts:	python-pip < 7.1.2-3

%description -n pip
Pip is a replacement for easy_install. It uses mostly the same
techniques for finding packages, so packages that were made
easy_installable should be pip-installable as well.

%description -n pip -l pl.UTF-8
Pip to zamiennik easy_install. Wykorzystuje w większości te same
techniki do wyszukiwania pakietów, więc pakiety, które dało się
zainstalować przez easy_install, powinny także dać się zainstalować
przy użyciu pipa.

%package apidocs
Summary:	Documentation for Python pip modules and installer
Summary(pl.UTF-8):	Dokumentacja instalatora i modułów Pythona pip
Group:		Documentation

%description apidocs
Documentation for Python pip modules and installer.

%description apidocs -l pl.UTF-8
Dokumentacja instalatora i modułów Pythona pip.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject %{?with_tests:test}

%if %{with apidocs}
PYTHONPATH=$(pwd)/src \
sphinx-build-3 -b html docs/html docs/html/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

# RH compatibility
ln -sf pip3 $RPM_BUILD_ROOT%{_bindir}/python3-pip

ln -sf pip3 $RPM_BUILD_ROOT%{_bindir}/pip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt LICENSE.txt README.rst
%attr(755,root,root) %{_bindir}/pip3
%attr(755,root,root) %{_bindir}/python3-pip
%{py3_sitescriptdir}/pip
%{py3_sitescriptdir}/pip-%{version}.dist-info

%files -n pip
%defattr(644,root,root,755)
%doc AUTHORS.txt LICENSE.txt README.rst
%attr(755,root,root) %{_bindir}/pip

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc docs/html/_build/html/*
%endif
%changelog
* Thu Mar 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pip.git;a=log;h=master

* Thu Mar 13 2025 Jan Rękorajski <baggins@pld-linux.org> bab39e0
- Release 4 (by relup.sh)

* Wed Mar 12 2025 Jan Rękorajski <baggins@pld-linux.org> 9200d3c
- Release 3 (by relup.sh)

* Wed Mar 12 2025 Jan Rękorajski <baggins@pld-linux.org> fde0671
- disable apidocs, build seem to need network

* Wed Mar 12 2025 Jan Rękorajski <baggins@pld-linux.org> afcf1b7
- updated docs BRs

* Wed Mar 12 2025 Jan Rękorajski <baggins@pld-linux.org> e1d0aeb
- rel 2

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> a9f87d4
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 6bbf059
- fix package name

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 6c97c77
- up to 25.0.1

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> f61fa29
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 593d887
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 82e906b
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 47afd0e
- rebuild with python 3.10

* Tue Mar 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 27cb1ca
- updated to 20.3.4 (the last with python2 support)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 33c823d
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 8a1c570
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Nov 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d3a9b6
- docs can be build with python2 or 3

* Thu Nov 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> eb62656
- up to 18.1; make docs build

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e22887a
- release 2 (by relup.sh)

* Sun Apr 23 2017 Elan Ruusamäe <glen@delfi.ee> ff0c07e
- up to 9.0.1

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> cf99a2a
- python 3.6
- release 2 (by relup.sh)

